Bug 1844225 - Review Request: python-sphinx-pyreverse - A simple sphinx extension to generate UML diagrams with pyreverse
Summary: Review Request: python-sphinx-pyreverse - A simple sphinx extension to genera...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-NEEDSPONSOR FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2020-06-04 19:52 UTC by sumantro
Modified: 2022-07-30 00:45 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-07-30 00:45:17 UTC
Type: ---


Attachments (Terms of Use)

Description sumantro 2020-06-04 19:52:04 UTC
Spec URL: https://github.com/sumantro93/python-sphinx-pyreverse/blob/master/python-sphinx-pyreverse.spec
SRPM URL: https://github.com/sumantro93/python-sphinx-pyreverse/blob/master/python-sphinx-pyreverse-0.0.13-1.fc32.src.rpm
Description: A simple sphinx extension to generate UML diagrams with pyreverse
Fedora Account System Username: sumantrom
Koji Scratch Build : https://koji.fedoraproject.org/koji/taskinfo?taskID=45421515

I am not yet in the packager group and I am looking forward to a sponsor.

Comment 1 Parag AN(पराग) 2020-06-05 08:31:30 UTC
The fedora-review tool does not work if you do not give direct downloadable files. Hence, your package links should be

SPEC URL: https://raw.githubusercontent.com/sumantro93/python-sphinx-pyreverse/master/python-sphinx-pyreverse.spec
SRPM URL: https://github.com/sumantro93/python-sphinx-pyreverse/raw/master/python-sphinx-pyreverse-0.0.13-1.fc32.src.rpm

Comment 2 sumantro 2020-06-05 10:01:18 UTC
(In reply to Parag AN(पराग) from comment #1)
> The fedora-review tool does not work if you do not give direct downloadable
> files. Hence, your package links should be
> 
> SPEC URL:
> https://raw.githubusercontent.com/sumantro93/python-sphinx-pyreverse/master/
> python-sphinx-pyreverse.spec
> SRPM URL:
> https://github.com/sumantro93/python-sphinx-pyreverse/raw/master/python-
> sphinx-pyreverse-0.0.13-1.fc32.src.rpm

Noted. Do I have to change anything in this bug? 
I will keep this in mind for the next time.

Comment 3 Fabian Affolter 2020-06-06 21:17:34 UTC
Could you please remove the reStructuredText formatting from the descriptions?

Comment 4 sumantro 2020-06-08 03:03:06 UTC
(In reply to Fabian Affolter from comment #3)
> Could you please remove the reStructuredText formatting from the
> descriptions?

I updated the SPEC file.

Comment 5 Parag AN(पराग) 2020-06-09 07:58:54 UTC
sorry for late comment. I was supposed to post this review last weekend.

Issues to be fixed:

1) The descriptions in SPEC is in "reStructuredText" format, make it normal text format.
   The other noticeable thing is that the description text start with package name.
   We don't write description like that. Drop the package name and keep rest of the text.

2) Like many other pypi packages, this package also did not add tests and license file in tarball.
   In this case we can think to use github released tarball but upstream has not tagged/released recent tarballs on github.

   Better add license file as separate source as given below in SPEC file.

Source1:        https://raw.githubusercontent.com/alendit/sphinx-pyreverse/master/LICENSE

then at the end of %prep section add
cp -p %{SOURCE1} .

then in %files section add line for this license file as
%license LICENSE

3) Running test in %check also have problem because pypi tarball contains only 1 upstream file from tests directory. This is just note here no action needed for this issue.

4) As per https://docs.fedoraproject.org/en-US/packaging-guidelines/#changelogs guidelines, you need to add your email address in changelog.
   Everytime you make a change in SPEC file, bump the release tag, add a new changelog entry describing what got changed from last release and submit new URLS for further package review.

Comment 6 Parag AN(पराग) 2020-06-09 08:04:18 UTC
Forgot this one

5) As per https://github.com/alendit/sphinx-pyreverse/blob/master/setup.py#L34 , change the package license from "GPLv3" to "GPLv3+".

Comment 7 Parag AN(पराग) 2021-02-16 02:54:44 UTC
any update here?

Comment 8 Package Review 2022-06-29 00:45:18 UTC
This is an automatic check from review-stats script.

This review request ticket hasn't been updated for some time. We're sorry
it is taking so long. If you're still interested in packaging this software
into Fedora repositories, please respond to this comment clearing the
NEEDINFO flag.

You may want to update the specfile and the src.rpm to the latest version
available and to propose a review swap on Fedora devel mailing list to increase
chances to have your package reviewed. If this is your first package and you
need a sponsor, you may want to post some informal reviews. Read more at
https://fedoraproject.org/wiki/How_to_get_sponsored_into_the_packager_group.

Without any reply, this request will shortly be considered abandoned
and will be closed.
Thank you for your patience.

Comment 9 Package Review 2022-07-30 00:45:17 UTC
This is an automatic action taken by review-stats script.

The ticket submitter failed to clear the NEEDINFO flag in a month.
As per https://fedoraproject.org/wiki/Policy_for_stalled_package_reviews
we consider this ticket as DEADREVIEW and proceed to close it.


Note You need to log in before you can comment on or make changes to this bug.